'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _postcss = require('postcss');

var _postcss2 = _interopRequireDefault(_postcss);

exports['default'] = _postcss2['default'].plugin('postcss-property-lookup', propertyLookup);

function propertyLookup() {
  return function (root, result) {
    root.walkRules(function (rule) {
      rule.replaceValues(/@([a-z-]+)(\s?)/g, { fast: '@' }, function (orig, prop, space) {
        var replacementVal = undefined;
        rule.walkDecls(prop, function (decl) {
          return replacementVal = decl.value;
        });

        if (replacementVal) {
          return replacementVal + space;
        } else {
          result.warn('Unable to find property ' + orig + ' in ' + rule.selector, { node: rule });
          return '';
        }
      });
    });
  };
}
module.exports = exports['default'];